Download a stored file
GET /file/{id}
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”Lowercase hex SHA-256 of the file content
Lowercase hex SHA-256 of the file content
Responses
Section titled “ Responses ”File content with its stored content type
Malformed request body or parameters (invalid_request)
object
Human-readable message
Stable machine-readable error code. Clients should treat unknown codes as internal_error.
Example
{ "error": "Failed to deserialize the JSON body into the target type: missing field `cmd`", "code": "invalid_request"}Missing or wrong API key (unauthorized)
object
Human-readable message
Stable machine-readable error code. Clients should treat unknown codes as internal_error.
Example
{ "error": "Missing or invalid API key", "code": "unauthorized"}Headers
Section titled “Headers ”No such resource (not_found)
object
Human-readable message
Stable machine-readable error code. Clients should treat unknown codes as internal_error.
Example
{ "error": "File not found: 9f86d081884c7d659a2feaa0c55ad015a3bf4f1b2b0b822cd15d6c15b0f00a08", "code": "not_found"}The API key has used up its requests (rate_limited). Sent only when
the service enables per-key rate limiting (RATE_LIMIT_PER_MINUTE).
Retry after the Retry-After header.
object
Human-readable message
Stable machine-readable error code. Clients should treat unknown codes as internal_error.
Example
{ "error": "Rate limit exceeded for this API key", "code": "rate_limited"}Headers
Section titled “Headers ”Seconds until the key may make another request